# mine.py
# ------------
# By Cory
# This module defines a mine agent class. It doesn't do anything except exist in a position
class Mine:
    display = False

    def __init__(self, position):
        self.position = position

    def handle_keystroke(self, keystroke, game):
        if keystroke.name in ("KEY_ENTER"):
            if not game.is_empty(self.position):
                game.log("You hit a mine at " + str(self.position) + ".")
                game.end()